<?php

/**
 * Bugs-in plugin
 *
 *
 * Created: 2007-02-24
 * Last update: 2007-02-24
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

define( 'PLUGINS_BUGSIN_ACCESS_LEVEL_DEFAULT', ADMINISTRATOR );

function plugins_bugsin_print_version_header( $p_version_id ) {
    $t_project_id = version_get_field( $p_version_id, 'project_id' );
    $t_version_name = version_get_field( $p_version_id, 'version' );
    $t_project_name = project_get_field( $t_project_id, 'name' );
    
    $t_release_title = string_display( $t_project_name ) . ' - ' . string_display( $t_version_name );
    echo $t_release_title, '<br />';
    echo str_pad( '', strlen( $t_release_title ), '=' ), '<br />';
    
    $t_description = version_get_field( $p_version_id, 'description' );
    if ( ( $t_description !== false ) && !is_blank( $t_description ) ) {
        echo string_display( "<br />$t_description<br /><br />" );
    }
}

?>
